Introduction au logiciel de licence CLM

Accueil > Logiciel Client License Manager

Logiciel Client License Manager (CLM)

Le logiciel Hexagon Client License Manager (CLM) repose sur une technologie de licence fiable et sécurisée qui n'a pas besoin d'une clé de protection logicielle ("dongle" de verrouillage de port HASP). Vous n'avez besoin que d'une connexion Internet au serveur Hexagon Network License Server pour installer et activer une licence.

Passage automatique de HASP à LMS

Si vous voulez conserver votre version actuelle de PC-DMIS, cette mise à jour vous permet de changer la licence de HASP à LMS :

  1. Contactez votre représentant Hexagon pour acquérir une clé d'ID d'autorisation pour une licence LMS. Votre représentant vous fournira également les dernières versions des outils de licence CLM. Ces outils vous permettent d'exécuter diverses fonctions décrites dans ce document.

  2. Après avoir installé votre clé EID et les outils CLM, accédez au fichier utilitaire d'administrateur de licence client CLM (clmadmin.exe). Double-cliquez dessus pour l'exécuter. Pour des détails sur l'utilisation de la clé EID afin d'installer votre licence LMS, voir la section appropriée de l'aide CLM :

    • Installation et activation de licences avec blocage de nœuds

    • Licences flottantes

    • Traitement des licences hors ligne

  3. Retirez le dongle HASP du PC et reconnectez-le.

  4. Démarrez la même version de PC-DMIS que celle utilisée avec HASP.

PC-DMIS détecte que le dongle HASP est absent.

PC-DMIS recherche une licence LMS valide. S'il en trouve une, votre système utilise automatiquement la nouvelle licence LMS. L'entrée clé de registre de la licence se sert de la licence LMS sans action de votre part. LMS devient votre licence par défaut. Pour basculer entre les licences HASP et LMS, voir les informations sur l'entrée de registre UseLMSLicensing dans la documentation de l'éditeur de réglages.

Si PC-DMIS ne trouve pas de licence LMS, il affiche un message d'erreur avertissant qu'il manque la licence PC-DMIS. PC-DMIS s'arrête. L'entrée de de registre de licence reste HASP. Il s'agit de la même situation quand vous retirez temporairement le dongle HASP de votre PC et le reconnectez.

Si PC-DMIS détecte une licence HASP valide et une licence LMS valide, il se sert de la licence HASP. Si le verrouillage de port HASP est retiré, à son prochain démarrage, PC-DMIS se sert de la licence LMS.

Ce correctif ne concerne pas le cas où LMS est votre licence système et un dongle HASP valide est connecté à votre ordinateur. Dans ce cas, LMS reste la licence utilisée. PC-DMIS ignore le dongle.

Rubriques associées :

Modèles de licences

ID d'autorisation

Introduction aux modèles de licences

Dépannage

Foire aux questions (FAQ)

Glossaire

Quick Start de licence avec blocage de nœuds

Quick Start d'activation de licence hors ligne

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●

Informations sur l'entreprise

Hexagon Manufacturing Intelligence

>> http://hexagonmi.com ●

Informations sur le produit

Copyright © 2018 Hexagon Manufacturing Intelligence – Metrology Software, Inc.

Dernière création du système d'aide le 31 mai 2018


Modèles de licences

Le modèle de licences inclut deux concepts et quatre types de licences. Les deux concepts sont les suivants :

  • Verrouillage

  • Cycle de vie de la licence

Verrouillage - Concerne les ordinateurs sur un réseau. Vous avez deux options :

  • Avec blocage de nœuds - Ce type de licence est installé et lié à un seul ordinateur. La licence ne peut pas être partagée entre plusieurs utilisateurs travaillant sur différents PC.

  • Flottante - Ce type de licence peut être utilisé par plusieurs utilisateurs travaillant sur différents ordinateurs sur un même réseau. Vous devez pour cela configurer et installer le serveur de licences. La configuration du système client est requise pour accéder au serveur de licences.

Cycle de vie de la licence - Définit le type de validation de la licence.

  • Perpétuelle - La licence fournit une validité permanente sur l'ordinateur ciblé.

  • Évaluation - Ce type de licence a une date d'expiration.

Vous avez le choix entre quatre types de licences :

  • Perpétuelle avec blocage de nœuds

  • D'évaluation avec blocage de nœuds

  • Perpétuelle flottante

  • D'évaluation flottante

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●

Informations sur l'entreprise


ID d'autorisation

L'ID d'autorisation est la clé permettant l'activation initiale de la licence et la commande d'autres options logicielles.

L'ID d'autorisation comporte 25 caractères alphanumériques séparés par des tirets ; par exemple :

ID d'autorisation : 9A9A9-A9A9A-9A9A9-A9A9A-9A9A9

Cet ID figure sur la facture et sur le bon de livraison du logiciel acheté. Il peut aussi se trouver sur un certificat d'autorisation distinct (papier ou numérique, comme un document HTML).

L'ID d'autorisation pour un logiciel ne change jamais ; ces documents doivent donc être conservés en lieu sûr.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Introduction aux modèles de licences

En fonction du logiciel installé, vous avez le choix entre deux modèles de licence correspondant aux différents besoins des utilisateurs :

  • Avec blocage de nœuds

  • Flottante

Les modèles de licences disponibles et la fonctionnalité associée dépendent du logiciel Hexagon.

Rubriques associées :

Présentation des licences avec blocage de nœuds

Présentation des licences flottantes

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Présentation des licences avec blocage de nœuds

Une licence avec blocage de nœuds est associée à un ordinateur et est donc idéale pour travailler à distance ou pour des utilisateurs individuels en réseau.

Ce type de licence ne peut pas être partagé par plusieurs utilisateurs sur un même réseau. Il n'est en général pas transféré d'un ordinateur à un autre (« réhébergement »).

Pour l'installation et l'activation de licences avec blocage de nœuds, une connexion à Internet est requise afin de le connecter à Hexagon Network License Server. Une fois la licence installée et activée, cette connexion n'est plus nécessaire. Pour activer d'autres options logicielles ou une maintenance, vous devez toutefois vous reconnecter à Internet.

(A) - Ordinateru local

(B) - Internet

(C) - Serveur de licences Hexagon Manufacturing Intelligence

Les licences avec blocage de nœuds sur l'ordinateur sont gérées via un outil de gestion distinct appelé CLM Administrator.

Rubriques associées :

Réhébergement de licences avec blocage de nœuds

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Réhébergement de licences avec blocage de nœuds

Le transfert d'une licence avec blocage de nœuds d'un ordinateur à un autre est appelé "réhébergement". Le transfert de licences a uniquement pour but de changer de façon définitive un utilisateur ou un ordinateur. Le réhébergement peut aussi être nécessaire quand vous réinitialisez ou installez un nouveau système d'exploitation sur le même serveur ou ordinateur.

Le réhébergement de la licence est seulement autorisé pour un nombre de fois limité par an. Le nombre de réhébergements autorisés dépend du logiciel installé.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Présentation des licences flottantes

Les licences flottantes peuvent être partagées entre plusieurs stations de travail client sur un même réseau local. Les licences flottantes sont idéales si le logiciel doit naviguer sur un réseau local car elles sont transférées d'une station de travail client à une autre si besoin est.

Les licences flottantes sont gérées par un serveur de licences local qui s'exécute sur un réseau local. Ce serveur gère le pool de licences et s'assure que le nombre de licences utilisées en même temps ne dépasse pas le nombre total de licences achetées. Si aucune autre licence n'est disponible, l'utilisateur en est averti et doit attendre qu'un autre utilisateur arrête d'utiliser une licence.

Le serveur de licences local peut être installé sur un ordinateur normal ou un serveur dédié, mais il ne peut pas être installé sur un système virtuel (ordinateur ou serveur). Le serveur de licences local peut gérer les licences pour un ou plusieurs logiciels.

La licence n'est en général pas transférée d'un serveur de licences local à un autre (« réhébergement »).

Pour l'installation et l'activation du serveur de licences local, une connexion à Internet est requise afin de le connecter à Hexagon Network License Server. Une fois le serveur local installé et activé, cette connexion n'est plus nécessaire. Pour activer d'autres options logicielles ou une maintenance, vous devez toutefois être connecté à Internet.

Si vous devez utiliser le logiciel à distance sur un ordinateur ou un portable sans connexion au réseau et au serveur de licences local, vous pouvez emprunter des licences de ce serveur et les retourner après utilisation.

(A) - Réseau local du client

(B) - Client local 1

(C) - Client local 2

(D) - Client local n

(E) - Serveur de licences local

(F) - Internet

(G) - Serveur de licences Hexagon Manufacturing Intelligence

Les licences flottantes sur le serveur de licences local sont gérées via un outil de gestion distinct appelé CLM Administrator Server.

Rubriques associées :

Réhébergement de licence flottante

Emprunt de licence flottante

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Réhébergement de licence flottante

Le transfert de licence d'un serveur de licences local à un autre sur le réseau local est appelé "réhébergement".

Le transfert de la licence a uniquement pour but de changer de façon définitive le serveur de licences local. Le réhébergement de la licence peut aussi être nécessaire quand vous réinitialisez ou installez un nouveau système d'exploitation sur le même serveur ou ordinateur.

Le réhébergement de la licence est seulement autorisé pour un nombre de fois limité par an. Le nombre de réhébergements autorisés dépend du logiciel installé.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Emprunt de licence flottante

Si vous devez utiliser le logiciel à distance sur un ordinateur sans connexion au réseau et au serveur de licences local, vous pouvez emprunter des licences de ce serveur et les retourner après utilisation. Ce processus est appelé "emprunt". La disponibilité de l'emprunt dépend du logiciel installé.

Si vous tentez d'emprunter une licence plus longtemps que le nombre de jours restants, ce message d'erreur s'affiche :

No matching fulfillment, clmBorrow failed (9000040B, 1035).

Pour corriger cette situation, changez le nombre de jours pour la période d'emprunt pour qu'il soit inférieure au nombre de jours restants pour la licence.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Installation et activation de licences avec blocage de nœuds

Pour installer le logiciel sur un ordinateur et activer les licences, vous avez besoin de ce qui suit :

  • un ordinateur avec une connexion à Internet

  • une facture, un bon de livraison ou un certificat d'autorisation avec l'ID d'autorisation pour le logiciel

  • un CD-ROM ou un DVD d'installation, ou un programme d'installation téléchargé pour le logiciel

Rubriques associées :

Installation de licences avec blocage de nœuds

Gestion de licences

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Installation de licences avec blocage de nœuds

Les outils Hexagon Manufacturing Intelligence [intelligence opérationnelle] CLM de délivrance de permis sont installés avec le logiciel Hexagon (PC-DMIS, DataPage+, etc.). Le processus crée des raccourcis bureau vers les outils CLM nécessaires.

L'installation et l'activation du logiciel se font via un assistant d'installation qui vous guide automatiquement dans la procédure à suivre. Le chapitre suivant explique en détail ces étapes.

Veuillez noter que les procédures d'installation et les captures d'écran dans ce document ont été prises du logiciel Hexagon. La boîte de dialogue dans d'autres logiciels peut varier légèrement.

  1. Lancez l'outil CLM. Pour ce faire, double-cliquez sur le raccourci CLM Admin créé sur le bureau lors de l'installation du logiciel Hexagon. La boîte de dialogue Client License Administrator s'ouvre.

    Boîte de dialogue Client License Administrator

  2. Cliquez sur Activate new licenses et entrez ou copiez votre ID d'autorisation dans la zone Entitlement ID.

    Boîte de dialogue Client License Administrator - Activate new licenses

  3. Cliquez sur Vérifier les licences activables pour afficher la description de la licence.

  4. Cliquez sur Activate new licenses [Activer nouvelles licences].

  5. Cliquez sur Afficher les licences installées pour afficher toutes les licences activées.

Toutes les nouvelles licences sont alors activées et les produits correspondants peuvent être utilisés.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Gestion de licences

La gestion des licences sur un ordinateur se fait via la boîte de dialogue View Licenses du logiciel ou à l'aide de l'outil CLM Administrator.

Les captures d'écran dans ce document ont été prises du logiciel fourni par Hexagon. La boîte de dialogue dans d'autres logiciels peut varier légèrement.

Rubriques associées :

Ouverture de la boîte de dialogue View Licenses

Démarrage de CLM Administrator

Affichage des licences avec blocage de nœuds

Mise à jour de licences avec blocage de nœuds

Recherche de mises à jour pour les licences avec blocage de nœuds

Réhébergement de licences avec blocage de nœuds

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Ouverture de la boîte de dialogue View Licenses

Pour ouvrir la boîte de dialogue View Licenses afin de voir les licences actuellement activées :

  • Double-cliquez sur clmadmin.exe pour démarrer le logiciel et gérer les licences.

  • Sélectionnez View installed licenses.

  • Voir Affichage des licences avec blocage de nœuds pour continuer.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Démarrage de CLM Administrator

Pour démarrer CLM Administrator pour des licences avec blocage de nœuds :

  • Double-cliquez sur clmadmin.exe pour démarrer le logiciel et gérer les licences.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Affichage des licences avec blocage de nœuds

L'affichage des licences actuellement activées pour le logiciel sur un ordinateur se fait via la boîte de dialogue View Licenses du logiciel (voir le chapitre « Gestion de licences »).

Pour afficher les licences actuellement activées, une connexion à Internet est inutile.

Pour afficher les licences pour un logiciel :

  • Cliquez sur le lien View installed licenses pour afficher la liste des licences installées et activées sur votre système (pour plus de détails concernant la gestion de vos licences, voir le chapitre « Gestion des licences »).

La boîte de dialogue présente l'ID d'autorisation et toutes les options actuellement activées du logiciel.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Mise à jour de licences avec blocage de nœuds

La mise à jour de licences consiste à activer d'autres options logicielles achetées ou une maintenance logicielle. La mise à jour de licences se fait via la boîte de dialogue View Licenses avec le logiciel (voir le chapitre « Gestion de licences »).

Une connexion à Internet est requise afin de pouvoir se connecter au serveur Hexagon Network License Server.

Démarrez la licence avec blocage de nœuds.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Recherche de mises à jour pour les licences avec blocage de nœuds

Une connexion au serveur Hexagon Network License Server sera établie et la recherche de mises à jour est lancée pour les licences.

Pour mettre à jour les nouvelles options acquises ou la maintenance logicielle :

  • Cliquez sur View installed licenses pour ouvrir la boîte de dialogue Installed licenses (voir le chapitre « Gestion des licences »).

  • Assurez-vous que l'ordinateur est connecté à Internet.

  • Sélectionnez Check for Updates au bas de la boîte de dialogue.

En fonction des résultats de la recherche :

  • Si aucune mise à jour logicielle n'est disponible, vous obtenez un message vous en avertissant. Vous devez alors confirmer le message en cliquant sur OK.

  • Si des mises à jour logicielles sont disponibles, une liste apparaît. Vérifiez les éléments à mettre à jour et sélectionnez Activate new licenses dans l'angle inférieur droit de la boîte de dialogue pour terminer la mise à jour.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Réhébergement de licences avec blocage de nœuds

Le réhébergement (transfert d'une licences d'un ordinateur à un autre) et la gestion de licences pour différents logiciels sur le même ordinateur se fait en démarrant CLM Administrator pour les licences avec blocage de nœuds (voir le chapitre « Gestion de licences »).

Pour retourner des licences en vue d'un réhébergement :

  1. Démarrez CLM Administrator (voir le chapitre « Gestion de licences »).

  2. Assurez-vous que l'ordinateur est connecté à Internet.

  3. Sélectionnez View installed Licenses. La liste des autorisations actives apparaît.

  4. Sélectionnez l'ID d'autorisation à retourner.

  5. Sélectionnez Return Licenses. La liste des licences sélectionnées pour retour apparaît.

  6. Sélectionnez Continue pour confirmer le retour des licences sélectionnées.

Une connexion au serveur Hexagon Network License Server est établie et les licences sélectionnées sont renvoyées.

Installation et activation de licences sur un autre ordinateur

Pour terminer le processus de réhébergement, procédez comme suit :

  • Sur l'ordinateur où la licence doit être transférée, suivez la procédure complète d'installation et d'activation décrite au chapitre Installation et activation de licences avec blocage de nœuds.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Licences flottantes

Pour installer le logiciel acheté sur un ou plusieurs PC locaux et pour activer les licences flottantes acquises, vous devez suivre la procédure d'installation :

  • Installation du serveur de licences local

  • Installation de clients locaux ou de clients

Rubriques associées :

Installation du serveur de licences local

Installation sur des clients locaux

Gestion du serveur de licences local

Gestion de licences flottantes sur des clients locaux

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Installation du serveur de licences local

Pour installer le serveur de licences local, vous avez besoin de ce qui suit :

  • un serveur ou un ordinateur sur le réseau local, connecté à Internet (une fois la licence activée, la connexion à Internet n'est plus requise).

  • une facture, un bon de livraison ou un certificat d'autorisation avec l'ID d'autorisation pour le logiciel

  • un CD-ROM ou un DVD d'installation, ou un programme d'installation téléchargé pour le logiciel Hexagon CLM Server

Ce serveur ou ordinateur est ensuite utilisé par tous les clients locaux pour obtenir une licence du logiciel.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Installation sur des clients locaux

Pour installer et activer le logiciel sur des clients locaux en réseau, vous avez besoin de ce qui suit :

  • un ordinateur sur le réseau local, connecté au serveur de licences local et à Internet (une fois le logiciel installé, la connexion à Internet n'est plus requise).

  • un CD-ROM ou un DVD d'installation, ou un programme d'installation (clmadminsvr.exe) téléchargé pour le logiciel

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Gestion du serveur de licences local

La gestion du serveur de licences local se fait à l'aide d'un outil distinct appelé CLM Administrator Server.

Les procédures et les captures d'écran dans ce document ont été prises du logiciel fourni par Hexagon. La boîte de dialogue dans d'autres logiciels peut varier légèrement.

Rubriques associées :

Administrator Server

Affichage des licences flottantes sur le serveur de licences local

Affichage des licences flottantes utilisées

Gestion du serveur de licences

Mise à jour des licences flottantes sur le serveur de licences local

Activation de nouvelles licences flottantes

Réhébergement de licences flottantes sur un serveur de licences local

Vérification de la connexion à Hexagon Network License Server

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Administrator Server

Pour démarrer CLM Administrator Server, double-cliquez sur clmadminsvr.exe fourni avec le logiciel ou téléchargé du serveur Hexagon.

Toute la gestion du serveur de licences local se fait à l'aide de l'application CLM Administrator Server.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Affichage des licences flottantes sur le serveur de licences local

L'affichage des licences actuellement activées sur le serveur de licences local se fait avec CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

Double-cliquez sur l'application clmadminsvr.exe fournie avec le logiciel ou téléchargée du serveur Hexagon pour ouvrir l'écran principal de Client License Administrator - Server.

Pour afficher les licences actuellement activées sur le serveur de licences local :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez View installed licenses dans le menu de gauche.

Si des ID d'autorisation son activés sur le serveur de licences local, ils s'affichent :

  • Sélectionnez Features dans l'angle supérieur droit pour une vue détaillée des licences activées.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Affichage des licences flottantes utilisées

L'affichage des licences actuellement activées sur le serveur de licences local se fait avec CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

Pour afficher les licences actuellement utilisées sur des clients locaux :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez View Licenses in use dans le menu de gauche.

Si une licence est utilisée sur le ou les clients locaux, elle est affichée. Par ailleurs, l'utilisateur accédant à cette licence est indiqué.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Gestion du serveur de licences

La gestion du serveur de licences local se fait à l'aide de l'application CLM Administrator Server.

Pour vérifier le nom du serveur de licences (à savoir, le nom d'hôte) :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez Manage license server dans le menu de gauche.

Le nom d'hôte du serveur de licences local est indiqué. Par ailleurs, le port du serveur de licences figure à côté des deux-points. Il s'agit par défaut du port 27000 ; voir aussi FAQ 17. Un indicateur montre si le serveur est en cours d'exécution ou arrêté. Pour changer le statut, cliquez sur Start ou Stop en bas à droite.

Pour actualiser la vue, cliquez sur Refresh en bas à droite.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Mise à jour des licences flottantes sur le serveur de licences local

La mise à jour de licences consiste à activer d'autres options logicielles achetées ou une maintenance logicielle. La mise à jour de nouvelles licences a lieu à l'aide du serveur CLM Administrator Server.

Pour cette fonctionnalité, une connexion Internet est requise afin de pouvoir se connecter au serveur Hexagon Network License Server.

Pour afficher les licences actuellement activées sur le serveur de licences local :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez Verify Licenses dans la zone principale ou dans le menu de gauche.

Après la recherche de mises à jour avec Hexagon Network License Server, toutes les licences activables s'affichent :

  • Sélectionnez Newly activatable licenses en bas à droite de la zone de dialogue pour activer les nouvelles licences.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Activation de nouvelles licences flottantes

L'activation d'autres logiciels achetés pour les gérer sur le même serveur de licences local est appelée « activation de nouvelles licences ». L'activation de nouvelles licences a lieu à l'aide du serveur CLM Administrator Server.

Pour cette fonctionnalité, une connexion Internet est requise afin de pouvoir se connecter au serveur Hexagon Network License Server.

Pour activer de nouvelles licences sur le serveur de licences local :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez Activate new Licenses dans la zone principale ou dans le menu de gauche.

Pour activer d'autres logiciels sur le même serveur de licences local :

  • Dans la zone Entitlement IDs, entrez l'ID d'autorisation tel qu'imprimé sur le bon de livraison, la facture ou le certificat d'autorisation.

  • Sélectionnez ensuite Check for activatable licenses.

Une connexion au serveur Hexagon Network License Server est établie pour rechercher de nouvelles licences.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Réhébergement de licences flottantes sur un serveur de licences local

Une licence doit être retournée avant d'être réhébergée sur un autre serveur de licences local. Le retour de la licence se fait avec CLM Administrator Server.

Pour être réhébergée, une licence doit d'abord être enregistrée auprès d'Hexagon. Contactez un représentant du service d'assistance d'Hexagon pour plus d'informations.

Pour afficher les licences actuellement activées sur le serveur de licences local :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez View installed licenses dans la zone principale ou dans le menu de gauche.

Les licences actuellement activées apparaissent. Pour les retourner en vue d'un réhébergement :

  • Sélectionnez chaque ID d'autorisation à réhéberger.

  • Sélectionnez Return licenses.

Les licences actuellement sélectionnées pour retour apparaissent :

  • Sélectionnez Continue pour confirmer le retour des licences sélectionnées.

  • Si les licences ne sont pas encore enregistrées auprès d'Hexagon, sélectionnez Register Entitlements. (Voir le chapitre « Licences flottantes ».)

Une connexion au serveur Hexagon Network License Server sera établie. Les licences sélectionnées sont retournées.

Pour terminer le processus de réhébergement, procédez comme suit :

  • Sur un serveur ou un ordinateur distinct, suivez la procédure complète d'installation décrite au chapitre « Installation du serveur de licences local ».

  • Suivez ensuite les instructions pour mettre à jour la configuration du serveur de licences sur les clients locaux dans la rubrique « Réhébergement de licences flottantes sur des clients locaux ».

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Vérification de la connexion à Hexagon Network License Server

Si le problème se produit lors du processus d'activation de la licence, vous devez éventuellement confirmer que la connexion à Hexagon Network License Server fonctionne. Cette vérification se fait avec CLM Administrator Server.

Pour vérifier la connexion à Hexagon Network License Server :

  • Démarrez le serveur CLM Administrator Server (voir le chapitre « Gestion du serveur de licences local »).

  • Sélectionnez Verify Internet connection dans le menu de gauche.

La boîte de dialogue Verify Internet connection montre le statut de la connexion et donne les descriptions des erreurs le cas échéant.

La fonction doit être utilisée en cas de problèmes lors du processus d'activation de la licence.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Gestion de licences flottantes sur des clients locaux

La gestion des licences sur des clients locaux se fait via la boîte de dialogue View License du logiciel.

Les captures d'écran dans ce document ont été prises du logiciel Hexagon. La boîte de dialogue dans d'autres logiciels peut varier légèrement.

Pour ouvrir la boîte de dialogue View Licenses afin de voir les licences actuellement activées :

  • Démarrez le logiciel contenant les licences à gérer.

  • Cliquez sur le lien View Licenses à l'écran afin d'afficher la liste de toutes les licences activées sur votre système. Si aucune licence n'est activée, le message suivant apparaît :

Rubriques associées :

Affichage des licences flottantes sur des clients locaux

Mise à jour de licences flottantes sur un client local

Emprunt de licences flottantes sur un client local

Réhébergement de licences flottantes sur un client local

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Affichage des licences flottantes sur des clients locaux

L'affichage des licences actuellement activées pour le logiciel sur l'ordinateur serveur se fait via la boîte de dialogue View Licenses du logiciel (voir le chapitre « Licences flottantes »). Pour afficher les licences actuellement activées, une connexion à Internet est inutile.

Pour afficher les licences pour un logiciel :

  • Cliquez sur le lien View Licenses pour ouvrir la boîte de dialogue dans le logiciel (voir le chapitre « Licences flottantes »).

La boîte de dialogue View licenses présente l'ID d'autorisation et toutes les options actuellement activées du logiciel, ou un message indiquant qu'il n'y a actuellement pas de licences activées.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Mise à jour de licences flottantes sur un client local

La mise à jour de licences consiste à activer d'autres options logicielles achetées ou une maintenance logicielle. Pour ce faire, utilisez CLM Administrator Server sur le serveur de licences local (voir le chapitre « Gestion du serveur de licences »). Vous pouvez aussi utiliser la boîte de dialogue View Licenses dans le logiciel sur un client local (voir le chapitre « Gestion de licences flottantes sur des clients locaux »).

Pour cette fonctionnalité, une connexion Internet est requise afin de pouvoir se connecter au serveur Hexagon Network License Server.

Pour mettre à jour les nouvelles options acquises ou la maintenance logicielle :

  • Cliquez sur le lien View Licenses dans l'écran principal pour ouvrir la boîte de dialogue View Licenses (voir le chapitre « Gestion de licences flottantes sur des clients locaux »).

  • Assurez-vous que l'ordinateur est connecté à Internet.

  • Sélectionnez Check for license updates.

Une connexion au serveur Hexagon Network License Server est établie. La recherche de mises à jour de licences se lance.

  • Si aucune mise à jour logicielle n'est disponible, vous obtenez un message précisant qu'aucune nouvelle licence activable n'est disponible.

  • Si des mises à jour de licences sont disponibles, vous obtenez le message « New floating licenses are available, please contact your license server administrator ».

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Emprunt de licences flottantes sur un client local

Si vous devez utiliser le logiciel à distance sur un ordinateur sans connexion au réseau et au serveur de licences local, vous pouvez « emprunter » des licences de ce serveur et les « retourner » après utilisation. Ce processus est appelé "emprunt". La disponibilité de l'emprunt dépend du logiciel installé.

L'emprunt et le retour de licences sont gérés via la boîte de dialogue View licenses du logiciel (voir le chapitre « Gestion de licences flottantes sur des clients locaux »).

Pour afficher les licences pour le logiciel :

  • Cliquez sur le lien View licenses pour ouvrir la boîte de dialogue View licenses du logiciel (voir le chapitre « Gestion de licences flottantes sur des clients locaux »).

La boîte de dialogue View licenses présente l'ID d'autorisation et toutes les options actuellement activées du logiciel.

Emprunter des licences

Pour emprunter des licences :

  • Entrez la date de fin à laquelle les licences doivent expirer.

  • Cliquez sur le lien Borrow licenses.

Les licences sont empruntées et la boîte de dialogue View licenses est mise à jour avec le dernier statut.

Retourner les licences empruntées

Pour retourner les licences empruntées :

  • Sélectionnez la licence que vous voulez retourner.

  • Cliquez sur le lien Return borrowed licenses.

Les licences sont retournées et la boîte de dialogue View licenses est mise à jour avec le dernier statut.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Réhébergement de licences flottantes sur un client local

Si le serveur de licences local a été réhébergé (transféré de façon permanente d'un ordinateur ou serveur à un autre), la configuration du serveur de licences pour tous les clients locaux doit être mise à jour.

La mise à jour de la configuration du serveur de licences se fait dans la boîte de dialogue View Licenses.

Pour ouvrir la boîte de dialogue View licenses :

  • Double-cliquez sur clmadminsvr.exe pour démarrer l'application dans votre logiciel et ouvrir la boîte de dialogue principale.

  • Cliquez sur la boîte de dialogue View Licenses. La liste des produits sous licence est vide car la licence produit requise est introuvable.

  • Cliquez sur le lien Options sur le côté gauche pour afficher les paramètres de configuration du serveur utilisés pour mettre à jour la configuration du serveur de licences.

Mise à jour de la configuration du serveur de licences

Dans la section Configuration de la boîte de dialogue Options, la configuration actuelle du serveur de licences apparaît.

Pour mettre à jour la configuration du serveur de licences local :

  • Entrez les nouvelles informations sur le serveur. Ces informations sont indiquées dans CLM Administrator Server sous « Gérer le serveur de licences » au chapitre « Gestion du serveur de licences local ».

  • Cliquez sur Apply en bas à droite pour identifier l'adresse du nouvel hôte.

Le client local se connecte au nouveau serveur de licences local.

(La section « Configuration du serveur proxy » est uniquement requise si un serveur proxy est utilisé à la place d'une connexion directe à Internet.)

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Traitement des licences hors ligne

Dans plusieurs cas, une connexion à Internet peut ne pas être disponible ou possible :

  • Compagnies ou institutions qui n'autorisent qu'un compte email

  • Réseaux spéciaux volontairement hors ligne

  • Problèmes avec la connexion réseau (à cause de serveurs proxy ou de pare-feu par exemple)

Hexagon SPA a créé une procédure pour automatiser autant que possible le processus d'activation hors ligne.

Utilisez cette adresse email pour le processus d'activation hors ligne : activation@hexagon.com.

Rubriques associées :

Présentation du processus de transfert et d'activation de licences hors ligne

Retour de licences hors ligne

Obtention du fichier de démarrage d'activation hors ligne via email

Création d'un fichier de demande de retour hors ligne

Obtention du fichier de réponse de retour hors ligne

Traitement du fichier de réponse de retour

Mise à jour de licences hors ligne

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Présentation du processus de transfert et d'activation de licences hors ligne

(A) - Serveur de licences Hexagon Manufacturing Intelligence

(B) - Ordinateur avec une connexion à Internet

(C) - Fichier de départ

(D) - Fichier de demande

(E) - Fichier de réponse

(F) - Ordinateur cible

Quand vous recevez l'ID d'autorisation, suivez ces étapes pour activer, retourner ou mettre à jour l'autorisation hors ligne :

  1. Sur un ordinateur ou un autre dispositif connecté à Internet, demandez un fichier .clmstart. Le fichier .clmstart sert à obtenir le fichier .clmreq du service d'activation.

Vous pouvez obtenir un fichier .clmstart en envoyant votre demande par email àactivation@hexagon.com. Le corps du texte doit contenir l'ID d'autorisation.

  2. Quand vous recevez le fichier .clmstart, copiez-le dans un dossier sur l'ordinateur hors ligne où le logiciel doit être activé.

Le fichier est nommé avec le numéro d'ID d'autorisation (EID) suivi de l'extension « .clmstart ».

  3. Utilisez le raccourci approprié créé sur le bureau à installation du logiciel pour démarrer l'application CLM sur l'ordinateur pour lequel vous obtenez la licence :

  4. Cliquez sur l'option Offline License Transfer dans la boîte de dialogue CLM.

  5. Cliquez sur Activate Licenses à l'écran suivant.

  6. Au centre de l'écran suivant, cliquez sur Browse.

  7. Allez à l'emplacment du fichier .clmstart. Cliquez dessus, puis sur Create Request dans l'angle inférieur droit de la boîte de dialogue.

  8. Une fois la demande traitée, cliquez sur Save Request dans l'angle inférieur droit de la boîte de dialogue suivante.

Le logiciel crée un fichier avec l'ID d'autorisation correspondant au nom du fichier et avec l'extension ".clmreq". Il sert à obtenir le fichier .clmresp. Vous ne pouvez pas obtenir le fichier .clmresp sans le fichier .clmreq. Le logiciel enregistre le fichier au même endroit que le fichier .clmstart.

  9. Envoyez le fichier .clmreq à activation@hexagon.com. Le corps du texte doit contenir l'ID d'autorisation (EID) et le fichier .clmreq doit être joint. Une réponse est envoyée par Hexagon avec le fichier .clmresp. Le nom du fichier correspond au numéro EID, avec l'extension « .clmresp ». Copiez ce fichier sur l'ordinateur pour lequel vous obtenez une licence.

  10. Sur l'ordinateur hors ligne, démarrez l'application CLM décrite à l'étape 2 ci-dessus.

  11. Cliquez sur Offline License Transfer.

  12. Cliquez sur Activate Licenses dans la boîte de dialogue suivante.

  13. Accédez au fichier .clmresp, cliquez dessus pour le sélectionner, puis cliquez sur OK. L'application CLM traite ce fichier et effectue l'activation de la licence.

La licence est maintentant activée. Vous pouvez lancer et utiliser votre application sous licence.

Pour en savoir plus sur le dépannage du processus d'activation hors ligne, consultez la rubrique « Dépannage de problèmes d'activation hors ligne ».

Si vous avez des questions, contactez le service client d'Hexagon. Pour des détails, voir la section "Service client d'Hexagon" dans la rubrique d'aide "Dépannage".

Vous obtenez un guide détaillé pour suivre le processus d'activation hors ligne.

Rubriques associées :

Étape 1 : Demander le fichier .clmstart

Étape 2 : Créer un fichier .clmreq d'activation hors ligne

Étape 3 : Obtenir le fichier .clmresp d'activation hors ligne

Étape 4 : Traiter le fichier .clmresp d'activation

Dépannage de problème d'activation hors ligne

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Étape 1 : Demander le fichier .clmstart

Le processus d'activation hors ligne requiert un fichier .clmstart.

Vous pouvez obtenir un fichier .clmstart de l'une de ces façons :

  • Via une demande par email à activation@hexagon.com

  • Via un courrier standard sur un disque ou un lecteur flash

Si vous avez des questions, contactez le service client d'Hexagon. Pour des détails, voir la section "Service client d'Hexagon" dans la rubrique d'aide "Dépannage".

Pour obtenir un fichier .clmstart, vous devez posséder l'ID d'autorisation de la licence.

  1. Sur un ordinateur secondaire avec une connexion à Internet, envoyez un email à activation@hexagon.com. Le corps du texte doit contenir l'ID d'autorisation (EID) de la licence.

Le service d'activation traite l'email et génère un fichier .clmstart d'activation que vous pouvez renvoyer. Le nom du fichier est l'EID envoyé avec une extension ".clmstart".

  2. Une fois le fichier .clmstart reçu, enregistrez-le sur un disque amovible comme une clé USB.

  3. Transférez-le ensuite dans un dossier sur l'ordinateur cible.

  4. Cliquez sur le lien Suivant ci-dessous pour continuer.

Suivant

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Accueil > Logiciel Client License Manager > Traitement des licences hors ligne > Présentation du processus de transfert et d'activation de licences hors ligne > Étape 2 : Créer un fichier .clmreq d'activation hors ligne

Étape 2 : Créer un fichier .clmreq d'activation hors ligne

Une fois le fichier .clmstart obtenu, vous devez l'utiliser pour créer un fichier .clmreq. Le fichier .clmreq est un fichier de demande servant à obtenir le fichier de réponse d'activation avec l'extension .clmresp.

Utilisez le raccourci approprié créé sur le bureau à installation du logiciel pour démarrer l'application CLM sur l'ordinateur pour lequel vous obtenez la licence :

  • Le raccourci « CLM Admin » concerne les licences avec blocage de nœuds.

  • Le raccourci « CLM Admin Server » concerne les licences flottantes.

Pour obtenir le fichier .clmreq d'activation hors ligne :

  1. Démarrez l'application CLM Administration appropriée décrite ci-dessous et cliquez sur l'option Offline license transfer.

  2. Cliquez sur Activate licenses à l'écran suivant.

  3. À l'écran suivant, cliquez sur Browse et allez au fichier .clmstart copié sur votre dispositif de stockage amovible.

  4. Cliquez sur le fichier pour le sélectionner, puis sur Create Request dans l'angle inférieur droit.

Une fois la demande générée, les détails sur la licence apparaissent :

  5. Cliquez sur Save Request en bas à droite pour enregistrer le fichier .clmreq.

Le fichier .clmreq sert à obtenir le fichier .clmresp.

Laissez l'application CLM Admin s'exécuter sur l'ordinateur avec la licence pour l'étape suivante.

  6. Allez à l'emplacement du fichier .clmreq généré. Il s'agit du même emplacement que le fichier .clmstart.

  7. Cliquez sur le lien Suivant ci-dessous pour continuer.

Suivant

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Accueil > Logiciel Client License Manager > Traitement des licences hors ligne > Présentation du processus de transfert et d'activation de licences hors ligne > Étape 3 : Obtenir le fichier .clmresp d'activation hors ligne

Étape 3 : Obtenir le fichier .clmresp d'activation hors ligne

Vous pouvez obtenir un fichier .clmresp de l'une de ces façons :

  • Via une demande par email à activation@hexagon.com

  • Via un courrier standard sur un disque ou un lecteur flash

Si vous avez des questions, contactez le service client d'Hexagon. Pour des détails, voir la section "Service client d'Hexagon" dans la rubrique d'aide "Dépannage".

Demande d'un fichier de réponse via email

Pour obtenir le fichier .clmresp d'activation hors ligne via email :

  1. Sur un ordinateur secondaire avec une connexion à Internet, envoyez un email à activation@hexagon.com. Le corps du texte doit contenir l'ID d'autorisation (EID) et le fichier .clmreq doit être joint.

Le service d'activation traite l'email avec le fichier joint et génère un fichier .clmresp d'activation qui est renvoyé par email. Le nom du fichier est l'EID envoyé avec une extension ".clmresp".

  2. Une fois le fichier .clmresp reçu, enregistrez-le sur un disque amovible comme une clé USB.

  3. Transférez-le ensuite dans un dossier sur l'ordinateur cible.

  4. Cliquez sur le lien Suivant ci-dessous pour terminer le processus d'activation hors ligne.

Suivant...

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Accueil > Logiciel Client License Manager > Traitement des licences hors ligne > Présentation du processus de transfert et d'activation de licences hors ligne > Étape 4 : Traiter le fichier .clmresp d'activation

Étape 4 : Traiter le fichier .clmresp d'activation

Terminez la procédure d'activation de licence hors ligne en transférant le fichier .clmresp d'activation à l'ordinateur pour lequel vous obtenez une licence. L'application CLM traite le fichier.

  1. À l'aide du raccourci approprié créé sur le bureau à installation du logiciel, démarrez l'application CLM sur l'ordinateur pour lequel vous obtenez la licence :

  • Le raccourci « CLM Admin » concerne les licences avec blocage de nœuds.

  • Le raccourci « CLM Admin Server » concerne les licences flottantes.

  2. Sélectionnez Offline license transfer dans la zone principale de la boîte de dialogue CLM ou dans le menu sur la gauche.

  3. Vous devez sélectionner le fichier .clmresp avec l'outil CLM Administrator correct décrit à l'étape 1. Sélectionnez Activate new licenses dans la boîte de dialogue suivante, puis cliquez sur Select Response.

Vous ne pouvez pas réutiliser un fichier .clmresp déjà traité. Quand vous retournez ou mettez à jour une licence, vous devez générer un nouveau fichier .clmresp.

Si vous avez perdu le fichier .clmresp généré, le dernier peut encore être disponible pendant un mois sur le serveur Hexagon Network License Server. Cliquez sur Query Response pour télécharger le dernier fichier .clmresp file du serveur.

  4. Accédez au fichier .clmresp stocké sur votre dispositif de stockage amovible. Cliquez dessus pour le sélectionner, puis cliquez sur OK. L'application CLM Admin traite le fichier .clmresp d'activation et exécute l'activation de la licence.

Dans certains cas, l'application CLM Admin peut générer un autre fichier .clmreq quand vous avez importé et traité le fichier .clmresp. Si tel est le cas, enregistrez le nouveau fichier .clmreq et soumettez-le à nouveau via email (activation@hexagon.com), ou renvoyez-le au support technique d'Hexagon via une clé USB ou un autre support.

La licence est maintentant activée. Vous pouvez utiliser votre application Hexagon.

Si vous avez des questions, contactez le service client d'Hexagon. Pour des détails, voir la section "Service client d'Hexagon" dans la rubrique d'aide "Dépannage".

Pour vérifier que votre licence est activée :

  • Cliquez sur View Installed Licenses dans l'angle supérieur gauche de l'application CLM Admin pour voir la liste de toutes les licences installées.

  • Connectez-vous à Internet et cliquez sur l'option Verify Licenses sur la gauche de l'application CLM Admin. La boîte de dialogue montre la liste des licences non activées.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Retour de licences hors ligne

Pour obtenir un fichier de démarrage, demandez son envoi par email (activation@hexagonmetrology.com) le cas échéant, ou par courrier postal sur un disque ou un lecteur flash.

Pour plus d'informations sur la politique de retour ("réhébergement") pour les produits Hexagon, voir les chapitres d'introduction au chapitre Modèles de licences.

Demande d'un fichier de démarrage de retour via email

Pour obtenir le fichier de démarrage de retour hors ligne via email, contactez votre représentant Hexagon.

  • Entrez l'ID d'autorisation à retourner hors ligne dans le texte de l'email et envoyez celui-ci à l'adresse indiquée.

Le fichier de démarrage de retour hors ligne est renvoyé à votre adresse email.

  • Enregistrez le fichier de démarrage sur un dispositif de stockage amovible comme une clé USB. Transférez-le ensuite sur l'ordinateur cible.

Si la licence doit être retournée via email, passez directement au chapitre Procédure de transfert et d'activation hors ligne de licences.

Demande d'un fichier de démarrage de retour via le centre d'assistance Hexagon

Pour obtenir le fichier de démarrage de retour hors ligne via le centre d'assistance Hexagon, contactez votre représentant Hexagon pour en savoir plus.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Obtention du fichier de démarrage d'activation hors ligne via email

Pour obtenir le fichier de démarrage d'activation hors ligne via votre agent d'email, envoyez un email à l'adresse activatesoftware@leica-geosystems.com.

  • Entrez l'ID d'autorisation à activer hors ligne dans le texte de l'email et envoyez celui-ci à l'adresse indiquée.

Le fichier de démarrage d'activation hors ligne est renvoyé à votre adresse email.

  • Enregistrez le fichier de démarrage sur un dispositif de stockage amovible comme une clé USB et transférez-le sur l'ordinateur cible.

Remarque : si la licence doit être activée via email, passez à l'étape Création d'un fichier de demande d'activation hors ligne.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Création d'un fichier de demande de retour hors ligne

Pour créer un fichier de demande de retour hors ligne avec le fichier de démarrage, les outils d'administration CLM sont nécessaires.

Lancez les outils CLM Administration.

  • Pour une licence avec blocage de noeuds, exécutez clmadmin.exe.

  • Pour une licence flottante, exécutez clmadminsvr.exe.

Dans CLM Administrator :

  • Sélectionnez Offline license transfer dans la zone principale ou dans le menu de gauche.

Étape 1 : Retourner les licences

Pour lancer la procédure de retour hors ligne dans CLM Administrator :

  • Sélectionnez Return licenses dans la zone principale.

Étape 2 : Créer un fichier de demande de licence

Pour retourner une licence hors ligne, un fichier de demande doit d'abord être généré avec le fichier de démarrage :

Accédez au fichier de démarrage (*.clmstart) sur votre dispositif de stockage amovible.

  • Cliquez sur le lien Create Request dans l'angle inférieur droit.

À la création du fichier de demande, la licence est désactivée et le logiciel ne peut plus être utilisé.

Étape 3 : Enregistrer la demande

Les détails de la licence s'affichent :

  • Cliquez sur le lien Save request pour enregistrer le fichier de demande.

Le fichier de demande est nécessaire pour obtenir le fichier de réponse.

Étape 4 : Rechercher le fichier de demande

Notez l'emplacement du fichier de demande. Par défaut, il s'agit du même emplacement que le fichier de démarrage.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Obtention du fichier de réponse de retour hors ligne

Le fichier de demande de retour doit être transféré à l'ordinateur ou à un autre périphérique avec une connexion Internet afin d'obtenir le fichier de réponse de retour.

Vous pouvez demander de deux façons un fichier de réponse au serveur de licences réseau Hexagon Network License Server :

  • via email

  • via le centre d'assistance Hexagon

Demande d'un fichier de réponse de retour via email

Pour obtenir le fichier de réponse de retour hors ligne via email, contactez votre représentant Hexagon.

  • Enregistrez le fichier de demande de retour sous forme de pièce jointe à l'email. Envoyez l'email à l'adresse indiquée.

Le fichier de réponse de retour hors ligne est renvoyé à votre adresse email.

  • Enregistrez le fichier de réponse sur un dispositif de stockage amovible comme une clé USB.

  • Si la licence doit être retournée via email, passez directement au chapitre Création d'un fichier de demande de retour hors ligne.

Demande d'un fichier de réponse de retour via le centre d'assistance Hexagon

Contactez votre représentant Hexagon pour en savoir plus sur l'accès au centre d'assistance Hexagon.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Traitement du fichier de réponse de retour

Le fichier de réponse de retour doit être renvoyé à l'ordinateur cible et traité dans les outils d'administration CLM afin de retourner la licence.

  • Pour une licence avec blocage de nœuds, utilisez CLM Administrator (clmadmin.exe).

  • Pour une licence flottante, utilisez CLM Administrator Server (clmadminsvr.exe).

Étape 1 : Sélectionner le fichier de réponse dans CLM Administrator

Le fichier de réponse doit être sélectionné dans CLM Administrator.

  • Ouvrez CLM Administrator. Sélectionnez Offline license transfer dans la zone principale ou dans le menu de gauche.

  • À l'étape suivante, sélectionnez Return licenses dans la zone principale.

  • Accédez au fichier de réponse (*.clmresp) stocké sur votre dispositif de stockage amovible.

Étape 2 : Traiter le fichier de réponse

Pour retourner la licence, le fichier de réponse doit être traité. Pour ce faire, cliquez sur le lien Process Response dans l'angle inférieur droit pour retourner la licence.

La licence est retournée. Vous pouvez la transférer (réhéberger) d'un ordinateur à un autre.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Mise à jour de licences hors ligne

La mise à jour de licences consiste à activer d'autres options logicielles achetées ou bien une maintenance logicielle.

Pour mettre à jour une licence avec de nouvelles options logicielles ou une maintenance hors ligne, vous devez suivre la même procédure que pour l'activation d'une licence.

  • Obtenez un nouveau fichier de démarrage d'activation (voir Obtention du fichier de démarrage d'activation hors ligne via email).

  • Créez un nouveau fichier de demande d'activation (voir Création d'un fichier de demande d'activation hors ligne).

  • Obtenez un nouveau fichier de réponse (voir Obtention du fichier de réponse d'activation hors ligne).

  • Traitez le nouveau fichier de réponse (voir Traitement du fichier de réponse d'activation).

  • Pour mettre à jour une licence, un nouveau fichier de réponse doit être généré.

  1. Cliquez sur le lien Browse pour accéder au fichier de demande créé.

  2. Téléchargez-le dans le centre d'assistance d'Hexagon.

  3. Cliquez sur Download et enregistrez le fichier de réponse (*.clmresp) sur un dispositif de stockage amovible comme une clé USB.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Dépannage

Cette section fournit des informations permettant de résoudre des problèmes pouvant se produire avec le logiciel de gestion des licences client.

  • Dépannage d'erreur Trusted Storage (TS)

  • Dépannage de problème d'activation hors ligne

  • Dépannage de problèmes de mise en veille lors de l'exécution de HM Remote Management Daemon

Service client d'Hexagon

Si vous avez des questions concernant les licences ou leur activation, visitez le site Web du service client d'Hexagon.

Pour les clients en dehors des États-Unis, cliquez sur le bouton Contact Us dans le site Web du service client d'Hexagon et remplissez le formulaire qui apparaît. Un représentant du service client d'Hexagon vous contactera avec des informations pour votre emplacement.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Dépannage d'erreur Trusted Storage (TS)

Le logiciel Hexagon CLM utilise la techonologie Flexara appelée Trusted Storage (TS).

Une erreur fréquente est quand le message "TS record invalid."

Dans des conditions normales, une licence activée se trouve à l'état "Fully Trusted". Pour le vérifier :

  1. Cliquez sur le lien View installed licenses dans l'angle supérieur gauche de l'utilitaire CLM Admin.

  2. Cliquez sur le lien Features dans l'angle supérieur droit de l'écran suivant.

    L'écran suivant montre la liste des fonctions. La colonne la plus à droite (State) affiche normalement "Fully trusted" pour chaque entrée.

Si l'une de ces entrées a un autre état que « Fully trusted », vous pouvez réinitialiser votre système et réactiver la licence. Dans ce cas toutefois, toutes les autorisations sur votre ordinateur sont supprimées et vous devez les réactiver.

Enregistrement des informations sur l'autorisation

Avant de procéder, vérifiez que vos informations d'autorisation sont en lieu sûr avant de réinitialiser Trusted Storage.

  • Une façon d'enregistrer les informations sur l'autorisation est de cliquer sur le lien Save As se trouvant dans l'angle inférieur droit de l'utilitaire CLM Admin. Les informations sur votre licence sont stockées dans un fichier XML :

  • Vous pouvez aussi enregistrer vos informations d'autorisation en copiant et collant les ID dans un document vide.

  • Pour ce faire :

    1. Ouvrez un document texte vide dans Bloc-notes, WordPad, Microsoft Word ou tout autre éditeur de texte.

    2. Cliquez ensuite sur Entitlements dans l'angle supérieur droit pour passer à la vue Entitlement :

    3. Double-cliquez sur l'un des ID d'autorisation pour le copier dans le presse-papiers.

    4. Revenez à votre document vide et collez l'ID d'autorisation.

    Si plusieurs autorisations sont activées, répétez la procédure autant de fois que nécessaire jusqu'à ce que tous les ID d'autorisation soient enregistrés. Veillez à enregistrer votre document une fois terminé.

Réinitialisation de Trusted Storage

  1. Vous devez ensuite réinitialiser le système Trusted Storage. Pour ce faire, cliquez sur View installed licenses dans l'angle supérieur gauche :

  2. Cliquez sur Reset TS dans le centre de la fenêtre.

    Le lien "Reset TS" est uniquement disponible si l'état de l'une de vos autorisations n'est pas "Fully trusted".

    Le message d'avertissement Reset Trusted Storage s'affiche.

  3. Cliquez sur Yes pour continuer. Après cette opération, la liste des autorisations contient « <no licenses available> » :

  4. Toutes les autorisations doivent être réactivées. Si vous les avez enregistrées dans un document selon la procédure plus haut, vous pouvez copier et coller chacune d'elles dans CLM Admin pour terminer la procédure.

    Pour des détails sur l'activation des licences avec blocage de nœuds, voir le chapitre "Installation et activation de licences avec blocage de nœuds".

    Pour des détails sur l'activation des licences hors ligne, voir le chapitre "Traitement des licences hors ligne".

Rubriques associées :

Installation et activation de licences avec blocage de nœuds

Traitement des licences hors ligne

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Dépannage de problème d'activation hors ligne

Problème : l'opération d'activation hors ligne "Start File Creation" a échoué en raison de ce l'erreur "Error Retrieving Entitlement ID from mail body!".

  1. Raisons courantes :

    • L'ID d'autorisation de la licence ne figure pas dans le corps de l'email.

    • La licence a déjà été activée sur un autre ordinateur.

    • Le nombre d'installations de la licence a dépassé celui disponible. Dans ce cas, aucune autre activation n'est possible pour la licence.

Solution : Contactez le [image] [image] support technique d'Hexagon pour obtenir de l'aide.

Vous trouverez des informations sur l'assistance technique aux adresses Internet suivantes d'Hexagon :

http://hexagon.us/contact-us
www.pc-dmis.com

Vous pouvez aussi joindre par téléphone l'assistance technique d'Hexagon au 1.800.343.7933

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Dépannage de problèmes de mise en veille lors de l'exécution de HM Remote Management Daemon

Un problème connu du logiciel CLM est que l'ordinateur ne peut être mis en veille lorsque le service HM Remote Management Daemon x64 est en cours d'exécution.

Cause

Le service HM Remote Management Daemon est un outil permettant d'administrer à distance des licences sur un ordinateur. Du fait que le service écoute des connexions entrantes sur le réseau, le système ne peut pas être mis en veille (comme sur des portables ou des tablettes).

Solution

  1. Modifiez les propriétés du service dans le panneau de contrôle des services et définissez le type de démarrage du service à Manuel.

  2. Arrêtez le service.

  3. Si cet ordinateur doit gérer à distance des licences vous devez le redémarrer. Un administrateur peut le faire à distance par le biais de Microsoft Management Console (mmc.exe), via Services Snap-in. Autrement, vous pouvez utiliser Bureau à distance ou tout autre outil d'administration à distance pour vous connecter à l'ordinateur et redémarrer le service.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Foire aux questions (FAQ)

Question 1 :

Je dois entrer l'ID d'autorisation pour l'installation et l'activation de la licence. Qu'est-ce qu'un ID d'autorisation, et où puis-je le trouver ?

Un ID d'autorisation est une représentation unique de la licence pour un produit acheté par un client. Cet ID figure sur la facture, le bon de livraison et le certificat d'autorisation.

Question 2 :

Qu'est-ce que l'activation d'un produit ?

L'activation est le processus permettant d'obtenir une licence pour un logiciel Hexagon installé sur votre ordinateur. Vous pouvez activer votre produit 24 heures par jour, 7 jours par semaine via Internet.

Question 3 :

Quel type d'informations est envoyé lors de l'activation du produit ?

Pour l'activation du produit, Hexagon collecte un minimum d'informations nécessaires pour valider l'authenticité d'une demande d'activation. La plupart des données identifient le produit, y compris l'ID d'autorisation et sa version. Un ID calculé automatiquement et de façon aléatoire (ID hôte) est également généré ; il ne peut pas servir à identifier la marque, le modèle ou les composants de votre ordinateur. Par ailleurs, le système d'exploitation et le nom de votre ordinateur sont transmis. Toutes les données sont envoyées de façon sécurisée à Hexagon pour validation.

Question 4 :

Puis-je utiliser mon ID d'autorisation sur plusieurs ordinateurs ?

Non. Un processus unique d'activation est requis par ordinateur. Une fois un produit activé, le logiciel est unquement attribué à cet ordinateur.

Question 5 :

Ai-je besoin de droits administrateur pour l'activation ?

Non. L'activation ne requiert pas de droits administrateur, mais l'installation de logiciels individuels peut demander ce type de permission.

Question 6 :

Est-il possible d'activer des licences sur un ordinateur non connecté à Internet ?

Oui. Hexagon vous permet d'activer, de retourner ou de mettre à jour une licence hors ligne via un autre ordinateur ou un autre périphérique qui doit au moins disposer d'une connexion de messagerie à Internet (comme un smartphone).

Pour des détails, voir le chapitre Traitement des licences hors ligne.

Question 7 :

Dois-je être en ligne pour utiliser le logiciel qui inclut une nouvelle licence ?

Non. Dans le cas de licences avec blocage de nœuds, une fois que vous avez activé le produit, il est inutile d'être en ligne pour l'utiliser. Toutefois, si votre licence a été étendue, comme par l'achat d'une nouvelle option ou après l'extension de votre contrat de maintenance logicielle, vous devez être en ligne pour activer des mises à jour.

Question 8 :

J'ai acheté d'autres options logicielles ou une maintenant logicielle. Comme puis-je activer ces nouvelles licences ?

L'activation de nouvelles options est appelée "mise à jour de licences". Suivez les instructions pour mettre à jour les licences avec blocage de nœuds au chapitre « Licences avec blocage de nœuds », et pour mettre à jour des licences flottantes au chapitre « Licences flottantes ».

Question 9 :

J'aimerais transférer de façon permanente le logiciel et la licence d'un ordinateur à un autre. Comment faire ?

Le transfert permanent du logiciel et de la licence d'un ordinateur à un autre est appelé « réhébergement ». Suivez les instructions pour réhéberger des licences avec blocage de nœuds au chapitre Licences avec blocage de nœuds, et pour réhéberger des licences flottantes au chapitre « Licences flottantes ».

Question 10 :

Mon ordinateur est en panne et j'aimerais transférer la licence avec blocage de nœuds vers un autre ordinateur. Je ne peux toutefois pas suivre le processus de réhébergement comme décrit dans ce document. Comment faire ?

Contactez votre représentant local du service client d'Hexagon avec votre ID d'autorisation et expliquez votre problème. Ce service pourra vous retourner la licence et vous permettre d'installer et d'activer à nouveau le logiciel sur un autre ordinateur.

Question 11 :

J'aimerais réinitialiser le système d'exploitation ou en installer un nouveau sur l'ordinateur où le logiciel Hexagon est installé et où la licence est activée. Comment faire ?

Avant d'installer un nouveau système d'exploitation, vous devez suivre la procédure de réhébergement. Suivez les instructions pour réhéberger des licences avec blocage de nœuds au chapitre « Installation et activation de licences avec blocage de nœuds », et pour réhéberger des licences flottantes au chapitre « Licences flottantes ».

Question 12 :

Est-ce que j'ai besoin d'une réactivation pour changer l'heure et la date du système ?

Non. Si votre licence n'a pas de date d'expiration (comme une licence d'évaluation par exemple), il n'y a pas de restrictions pour modifier les propriétés de date et d'heure de votre système. Si votre licence a une date d'expiration en revanche, la modification de ces propriétés de plus d'un jour déclenche une réactivation.

Question 13 :

J'utilise un logiciel Hexagon protégé par un dongle. Quelle est la procédure à suivre pour passer à une nouvelle licence ?

Vous devez d'abord contacter votre représentant local Hexagon et lui fournir le numéro du dongle. Il lance alors une commande de « migration de dongle ». Une fois cette commande passée, vous recevrez votre nouvel ID d'autorisation.

Vous pouvez ensuite lancer l'installation en suivant les instructions dans ce document. Lors de l'installation, vous devrez brancher votre dongle. Au terme de l'installation, le logiciel est activé avec la nouvelle licence et le dongle n'est plus valide pour le produit migré.

Question 14 :

Ai-je besoin d'un ordinateur dédié pour exécuter un serveur de licences ?

Le serveur de licences peut être installé comme logiciel standard. En raison de la très faible capacité de calcul, un PC standard peut être utilisé pour exécuter un serveur de licences. Cet ordinateur doit être connecté au réseau local pour partager les licences avec d'autres ordinateurs sur ce réseau.

Question 15 :

Est-il possible d'utiliser le même serveur de licences local pour différents logiciels Hexagon ?

Oui. Vous devez configurer un seul serveur de licences local pour tous vos logiciels Hexagon. Une fois le serveur de licences configuré, il est possible d'ajouter d'autres licences via « Activation de nouvelles licences ». Les clients locaux peuvent alors être installés.

Question 16 :

Ai-je besoin d'une connexion Internet pour utiliser des licences flottantes ?

Non. Le serveur doit uniquement être en ligne lors du processus d'activation de la licence sur le serveur de licences. Vous devez toutefois être connecté à votre serveur de licences en réseau pour utiliser des licences flottantes. En cas de déconnexion temporaire du réseau local, comme lors d'un voyage avec votre portable ou autre périphérique mobile, une fonctionnalité d'emprunt de licences est prise en charge pour certains logiciels Hexagon. Suivez les instructions pour emprunter des licences au chapitre « Licences flottantes ».

Question 17 :

J'utilise un pare-feu sur mon serveur de licences local. Est-ce que je dois ouvrir des ports sur ce serveur pour établir la communication ?

Oui. Pour permettre à des clients de libérer ou d'emprunter des licences d'un serveur sur votre réseau local, vous devez ajouter les ports suivants comme exceptions à votre protection de pare-feu :

  • Pour l'application "lmgrd.exe", ouvrez un port TCP avec un numéro dans la plage "27000…27009". La valeur par défaut pour le port du serveur est le port TCP 27000.

  • Vous pouvez aussi rechercher le port utilisé dans le programme CLM Administrator Server sous « Gestion du serveur de licences » ou dans le « lgs.log ». Ce fichier se trouve dans le dossier d'installation du serveur de licences qui est par défaut : C:\Program Files\Common Files\<nom du logiciel Hexagon>\License-Server.

  • Pour l'application "LGS.exe", ouvrez un port TCP inutilisé, comme 27010.

Les deux ports doivent aussi être définis dans le fichier « svr_lgs.lic ». Ce fichier est installé dans le dossier d'installation du serveur de licences qui est par défaut : C:\Program Files\Common Files\<nom du logiciel Hexagon>\License-Server. Vous devez :

  • ajouter le numéro du port du serveur à la première ligne : SERVER this_host ANY 27000

  • ajouter le port du démon du fournisseur à la deuxième ligne : VENDOR LGS port=27010

Pour permettre l'accès à distance pour les outils de gestion de licences, il est conseillé d'ajouter un port de démon distant comme exception :

  • Pour l'application "clmrdsvr.exe", ouvrez le port TCP local 19701.

Question 18 :

J'utilise un pare-feu sur mon ordinateur client local. Est-ce que je dois ouvrir des ports sur ce client local pour établir la communication ?

Oui. Pour permettre à des clients de libérer ou d'emprunter des licences d'un serveur sur votre réseau local, vous devez ajouter les ports suivants comme exceptions à votre protection de pare-feu :

  • Pour l'application client (comme "LGO.exe"), ouvrez le port TCP du serveur de licences distant (par exemple 27000) et le port TCP du démon du fournisseur (par exemple 27010).

  • Vous pouvez aussi rechercher les ports utilisés dans le fichier « lgs.log » ou dans le fichier « svr_lgs.lic ». Les deux fichiers se trouvent sur le serveur de licences, dans son dossier d'installation qui est par défaut : C:\Program Files\Common Files\<nom du logiciel Hexagon>\License-Server.

Pour permettre l'accès à distance pour les outils de gestion de licences, il est conseillé d'ajouter un port de démon distant comme exception :

  • Pour l'application "clmadminsvr.exe", ouvrez le port TCP distant 19701.

Question 19 :

J'ai configuré mon serveur de licences local et j'y suis connecté via le réseau local. Pourtant, quand j'installe un client local et indique l'adresse et le port de mon serveur de licences local, j'obtiens un message d'erreur selon lequel la destination est inaccessible et que le message a expiré. Pourquoi ces messages s'affichent-ils et comment puis-je résoudre le problème ?

Ces messages peuvent s'afficher car l'heure sur votre serveur de licences local et l'heure sur votre client local ne sont pas synchronisées. Il existe dans ce cas une erreur avec le protocole de communication entre le serveur de licences et le logiciel client.

  • S'il y a une différence de plus de 5 minutes, vous obtenez le message "Destination unreachable". Vous savez dans ce cas qu'un temps normal s'est écoulé sans réponse du serveur ciblé.

  • Si la différence dépasse 10 minutes, vous obtenez le message "Message expired". Vous savez dans ce cas que les messages échangés entre les serveurs ont expiré, ainsi que toute autre tentative de communication entre eux.

Il n'y a pas de problème si votre serveur s'exécute dans un autre fuseau horaire que votre client.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Glossaire

Activation

L'activation est le processus permettant d'obtenir une licence pour un logiciel Hexagon installé sur votre ordinateur.

Emprunt

L'emprunt consiste à obtenir une licence flottante d'un serveur de licences local afin de l'utiliser comme une licence avec blocage de nœuds sur un ordinateur ou un portable si vous devez exécuter le logiciel à distance sans connexion réseau et au serveur de licences local.

CLM

CLM est le sigle pour Client License Manager. Il s'agit du nom du logiciel servant à gérer la licence logicielle sur un ordinateur ou un serveur.

CLM Administrator

CLM Administrator est un outil de gestion de licences pour les installations sur ordinateur de licences avec blocage de nœuds. Il permet d'afficher des licences, de les mettre à jour, d'en installer de nouvelles et de renvoyer des licences pour un réhébergement.

CLM Administrator Server

CLM Administrator Server est un outil de gestion de licences pour les installations de licences flottantes sur un serveur. Il permet d'afficher des licences, de les mettre à jour, d'en installer de nouvelles et de renvoyer des licences pour un réhébergement.

Dongle

Un « dongle », également appelé verrouillage de port, clé matérielle ou encore clé de protection logicielle, est un petit dispositif de protection devant être connecté au port parallèle ou USB de l'ordinateur afin de protéger le logiciel contre les accès non autorisés.

Certificat d'autorisation

Le certificat d'autorisation est un document contenant l'ID d'autorisation. Ce document doit être conservé dans un lieu sûr, sachant que l'ID d'autorisation est requis pour acquérir d'autres options logicielles.

ID d'autorisation

L'ID d'autorisation est la clé permettant l'activation initiale de la licence et la commande d'autres options logicielles. Cet ID figure sur la facture, le bon de livraison ou le certificat d'autorisation.

Licence flottante

Les licences flottantes peuvent être partagées entre plusieurs utilisateurs sur un même réseau local. Elles permettent l'utilisation simultanée de plusieurs licences achetées.

Serveur de licences réseau Hexagon Network License Server

Le serveur de licences réseau Hexagon Network License Server est l'emplacement central pour les licences flottantes qui sont servies aux clients sur le réseau au démarrage. Une connexion Internet est normalement requise pour activer la licence ou effectuer d'autres tâches en vue de vous connecter au serveur Hexagon Network License Server.

Centre d'assistance Hexagon

Le centre d'assistance Hexagon est l'endroit où les produits sont enregistrés afin d'accéder aux informations les concernant ou d'obtenir des mises à jour logicielles.

Modèle de licence

Le modèle de licence détermine si une licence est associée à un ordinateur ou peut être partagée entre plusieurs ordinateurs sur le même réseau. Pour les produits Hexagon, deux modèles de licence sont disponibles : licences avec blocage de nœuds et licences flottantes. La disponibilité du modèle de licence dépend du logiciel Hexagon.

Client local

Un client local est un ordinateur partageant des licences flottantes sur le réseau local et qui doit donc être connecté au serveur de licences local.

Serveur de licences local

Un serveur de licences local est requis pour gérer des licences flottantes. Il peut s'agir d'un ordinateur ou d'un serveur sur le réseau local.

Licence avec blocage de nœuds

Une licence avec blocage de nœuds est associée à un ordinateur et est donc idéale pour travailler à distance ou pour des utilisateurs individuels en réseau. Ce type de licence ne peut pas être partagé entre plusieurs utilisateurs sur un même réseau et n'est en général pas transféré d'un ordinateur à un autre.

Verrouillage de port

Un verrouillage de port, également appelé « dongle », clé matérielle ou encore clé de protection logicielle, est un petit dispositif de protection devant être connecté au port parallèle ou USB de l'ordinateur afin de protéger le logiciel d'accès non autorisés.

Enregistrement de licences

Les licences sont enregistrées dans le centre d'assistance Hexagon. L'enregistrement d'une licence est requis pour un réhébergement et pour accéder aux informations sur les mises à jour de logiciels.

Réhébergement

Le réhébergement consiste à transférer de façon définitive une licence d'un ordinateur ou d'un serveur de licences local à un autre. Le réhébergement d'une licence est uniquement autorisé pour un nombre de fois limité par an. Le nombre de réhébergements autorisés varie selon le logiciel Hexagon.

Pour un réhébergement, la licence doit avoir été enregistrée au préalable dans le centre d'assistance Hexagon.

Retour de licences

Le retour de licences est la première étape requise pour le processus de réhébergement. Pour qu'une licence soit activée sur un ordinateur distinct, elle doit être retournée au serveur de licences réseau Hexagon.

Clé de protection logicielle

Une clé de protection logicielle, également appelée « dongle », verrouillage de port ou encore clé matérielle, est un petit dispositif de protection devant être connecté au port parallèle ou USB de l'ordinateur afin de protéger le logiciel d'accès non autorisés.

Mise à jour de licences

La mise à jour de licences consiste à activer d'autres options logicielles achetées ou une maintenance logicielle.

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Quick Start de licence avec blocage de nœuds

Accueil > Quick Start de licence avec blocage de nœuds

Guide de Quick Start de la procédure de licence CLM

Installation et activation d'une licence avec blocage de nœuds

Les outils Hexagon CLM Licensing sont installés avec le logiciel Hexagon (PC-DMIS, DataPage+, etc.) qui crée des raccourcis bureau pour ces outils.

L'installation et l'activation du logiciel se fait via un assistant d'installation qui vous guide automatiquement dans la procédure à suivre. L'ordinateur doit être connecté à Internet.

Veuillez noter que les procédures d'installation et les captures d'écran dans ce document ont été prises du logiciel Hexagon. La boîte de dialogue dans d'autres logiciels peut varier légèrement.

  1. Démarrez l'outil CLM Licensing via le raccourci bureau « CLM Admin » créé lors de l'installation du logiciel Hexagon (PC-DMIS, DataPage+, etc.). La boîte de dialogue Client License Administrator s'ouvre.

  2. Cliquez sur Activate new licenses et entrez ou copiez votre ID d'autorisation dans la zone.

  3. Cliquez sur Check for activatable licenses pour afficher la description des licences installées.

  4. Cliquez sur Activate new licenses [Activer nouvelles licences].

  5. Cliquez sur View Installed Licenses pour afficher et vérifier toutes les licences activées.

Toutes les nouvelles licences sont alors activées et les produits correspondants peuvent être utilisés.

Téléchargez la version du PDF : CLM_Node_Locked_License_QuickStart_Guide.pdf

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●


Quick Start d'activation de licence hors ligne

Accueil > Quick Start d'activation de licence hors ligne

Guide de Quick Start de la procédure de licence CLM

Activation de licence hors ligne

Une fois l'ID d'autorisation reçu, vous devez suivre ces étapes pour activer, retourner ou mettre à jour l'autorisation hors ligne :

  1. Sur un ordinateur ou un autre dispositif connecté à Internet, demandez un fichier .clmstart. Envoyez la requête à activation@hexagon.com. L'objet de l'email peut être vide, mais le corps du texte doit contenir l'ID d'autorisation. Quand le fichier .clmstart ge est reçu, transférez-le sur un dispositif de stockage amovible vers le PC hors ligne où le logiciel doit être activé.

  2. Sur l'ordinateur sous licence, démarrez l'outil CLM Licensing à l'aide du raccourci bureau correspondant créé lors de l'installation du logiciel Hexagon (PC-DMIS, DataPage+, etc.) : « CLM Admin » pour les licences avec blocage de nœuds ou « CLM Admin Server » pour les licences flottantes.

  3. Cliquez sur l'option Offline License Transfer dans la boîte de dialogue CLM.

  4. Cliquez sur Activate Licenses à l'écran suivant.

  5. Au centre de l'écran suivant, cliquez sur Browse et naviguez jusqu'au fichier .clmstart. Cliquez dessus, puis sur Create Request dans l'angle inférieur droit de la boîte de dialogue.

  6. Une fois la demande traitée, cliquez sur Save Request dans l'angle inférieur droit de l'écran suivant. Le fichier possède l'extension .clmreq et se trouve au même emplacement que le fichier .clmstart. Il sert à obtenir le fichier .clmresp.

  7. Envoyez le fichier .clmreq généré à activation@hexagon.com. Le corps du texte doit contenir l'ID d'autorisation (EID) et le fichier .clmreq doit être joint. Un email de réponse d'Hexagon est envoyé avec le fichier clmresp. Copiez-le sur l'ordinateur sous licence.

  8. Sur l'ordinateur hors ligne sous licence, démarrez l'outil CLM approprié décrit à l'étape 2 ci-dessus et cliquez sur Offline License Transfer.

  9. Cliquez sur Activate Licenses dans la boîte de dialogue suivante.

  10. Cliquez sur Select Response dans l'angle inférieur droit et accédez au fichier .clmresp. Cliquez sur le fichier pour le sélectionner, puis cliquez sur OK. Le logiciel traite ce fichier et effectue l'activation de la licence.

    En cas de problèmes lors du processus, voir la rubrique « Dépannage de problèmes d'activation hors ligne ».

    La licence est activée. Votre application peut être lancée et utilisée.

Téléchargez la version du PDF : CLM_Offline_License_Activation_QuickStart_Guide.pdf

v1.5
v2.0
2018 R2
CLM

>> Retour en haut

Contacter l'équipe de documentation

Documentation PDF

Liens d'assistance

>> Base de connaissances ●

>> Support technique d'Hexagon ●

>> Forum ●

>> Idées ●

>> Formation ●

>> Buraux locaux ●